<?php 
// JSON viewer
// (c) 2008-2009 by Hay Kranen <http://www.haykranen.nl/projects/jsonviewer>
// Released under the MIT license, see jsonviewer.php
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8"/>
    <title>JSON viewer &raquo; haykranen.nl</title>
    <script type="text/javascript" src="jquery.js"></script>
    <script type="text/javascript" src="jsonviewer.js"></script>
    <style type="text/css">
        #root {
            padding-left: 0;
        }
        
        img {
            vertical-align: bottom;
        }
        
        img.arrow:hover { cursor: pointer; }
        
        ul, li { 
            list-style-type: none;
        }
    </style>
</head>
<body>
    <h1>JSON Viewer</h1>
    <p><em>Version 1.2</em></p>
    <p>
        This is a simple <a href="http://www.json.org">JSON</a> viewer. 
        To use it, simply enter an URL to the JSON file in the input field below here (if you don't have an 
        URL but you want to view the results, simply press 'Get JSON' to view the recent uploaded photos from
        <a href="http://www.flickr.com">Flickr</a>). This viewer
        is made by <a href="http://www.haykranen.nl">Hay Kranen</a>. Get the source code for this 
        application (released under the MIT license) <a href="http://www.haykranen.nl/projects/jsonviewer">here</a>.
    </p>

    <form method="post" action="" name="jsonviewer" id="jsonviewer">
        <label for="url">URL to the JSON file</label>
        <input type="text" size="80" name="url" id="url" value="http://api.flickr.com/services/feeds/photos_public.gne?format=json" />        
        <input type="submit" value="Get JSON" name="submit" id="submit" />
    </form>
    
    <hr />
    
    <img src="loading.gif" alt="Loading..." id="loading" style="display:none;" />
    
    <pre id="output">
        <?php 
            // If JavaScript is disabled this will still show the results
            if (isset($_POST['url'])) {
                require 'jsonviewer.php';
                echo json_viewer($_POST['url']); 
            }
        ?>
    </pre>
</body>
</html>