// JSON viewer
// (c) 2008-2009 by Hay Kranen <http://www.haykranen.nl/projects/jsonviewer>
// Released under the MIT license, see jsonviewer.php

$(document).ready(function() {
    // Some general settings
    var settings = {};
    settings.defaultUrl = $("#url").val();
    
    // When clicking on the input field, delete that value
    $("#url").click(function() {
        if($(this).val() == settings.defaultUrl) {
            $(this).attr('value', '');
        } else {
            return true;
        }
    });
    
    // When clicking 'submit', show the loading GIF and get the data back via a 
    // GET call from the PHP script
    $("#submit").click(function() {
        // Fade in the loading animation
        $("#loading").fadeIn();
        
        $.post('jsonviewer.php', {"url" : $("#url").attr('value')}, function(data) {
            // Data loaded, hide animation
            $("#loading").hide();
            
            // Put the data in the <pre> field
            $("#output").html(data);
            
            // Tree logic
            $("ul").hide();
            $("img.arrow").click(function() {
                $(this).parent().find("ul:first").toggle();
                
                // Scroll the screen to the arrow for easier navigation
                $("html").animate({scrollTop: $(this).offset().top - 10 + 'px'}, { duration: 300});               
            });
            
            $("#root, #first").show();            
        }, 'html');
        
        // We don't want the form to submit, except if JavaScript is turned off
        return false;
    });    
});